Bug 208162 - CVE-2006-4980 repr unicode buffer overflow
CVE-2006-4980 repr unicode buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: python (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
impact=important,source=vendorsec,rep...
: Security
Depends On:
Blocks: CVE-2006-4980
  Show dependency treegraph
 
Reported: 2006-09-26 14:10 EDT by Josh Bressers
Modified: 2008-01-29 04:47 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0713
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-09 17:54:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (2.01 KB, patch)
2006-09-26 15:00 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-09-26 14:10:30 EDT
A bug in the way python's repr function handles certain unicode objects.  repr
mistakenly assumes that all unicode characters will be 6 characters in length
(UTF-16) when it is possible for some strings to use wide characters (UTF-32) to
overflow a buffer.

There is more information in the Ubuntu bug:
https://launchpad.net/distros/ubuntu/+source/python2.4/+bug/56633

and the upstream bug:
http://sourceforge.net/tracker/index.php?aid=1541585&group_id=5470&atid=305470&func=detail
Comment 1 Josh Bressers 2006-09-26 14:13:04 EDT
This issue also affects RHEL3
Comment 4 Josh Bressers 2006-09-26 15:00:42 EDT
Created attachment 137161 [details]
Upstream patch
Comment 9 Red Hat Bugzilla 2006-10-09 17:54:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0713.html

Note You need to log in before you can comment on or make changes to this bug.